summaryrefslogtreecommitdiffstats
path: root/source/a/grep/grep.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/grep/grep.SlackBuild')
-rwxr-xr-xsource/a/grep/grep.SlackBuild44
1 files changed, 28 insertions, 16 deletions
diff --git a/source/a/grep/grep.SlackBuild b/source/a/grep/grep.SlackBuild
index 1b2ac8e7e..b789bc724 100755
--- a/source/a/grep/grep.SlackBuild
+++ b/source/a/grep/grep.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2005-2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,12 +20,22 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-2.5.4}
-ARCH=${ARCH:-x86_64}
+PKGNAM=grep
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-grep
@@ -39,13 +49,16 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf grep-$VERSION
-tar xvf $CWD/grep-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/grep-$VERSION.tar.xz || exit 1
cd grep-$VERSION || exit 1
chown -R root:root .
find . \
@@ -60,24 +73,15 @@ CFLAGS="$SLKCFLAGS" \
--bindir=/bin \
--mandir=/usr/man \
--infodir=/usr/info \
- --disable-perl-regexp \
+ --docdir=/usr/doc/grep-$VERSION \
--build=$ARCH-slackware-linux
-make $NUMJOBS || make || exit 1
+make $NUMJOBS -e LIB_PCRE=/usr/lib${LIBDIRSUFFIX}/libpcre.a || make -e LIB_PCRE=/usr/lib${LIBDIRSUFFIX}/libpcre.a || exit 1
make install DESTDIR=$PKG || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-# ****************************************************************************
-# Makefile installs different binaries for each of grep, egrep, and fgrep
-# This is how we used to do it...
-#( cd $PKG/bin
-# rm -f egrep ; ln -sf grep egrep
-# rm -f fgrep ; ln -sf grep fgrep
-#)
-# ****************************************************************************
-
# Make symlinks in /usr/bin:
mkdir -p $PKG/usr/bin
( cd $PKG/usr/bin
@@ -98,9 +102,17 @@ gzip -9 $PKG/usr/info/*
mkdir -p $PKG/usr/doc/grep-$VERSION
cp -a \
- ABOUT-NLS AUTHORS COPYING* INSTALL NEWS README* THANKS TODO \
+ AUTHORS COPYING* INSTALL NEWS README* THANKS TODO \
$PKG/usr/doc/grep-$VERSION
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc